# Packed Record multiboot_info_t

Description
Hierarchy
Fields
Methods
Properties

## Unit

multiboot

## Declaration

`type multiboot_info_t = packed record`

## Description

## Overview

### Fields

`flags: uint32;`
`mem_lower: uint32;`
`mem_upper: uint32;`
`boot_device: uint32;`
`cmdline: uint32;`
`mods_count: uint32;`
`mods_addr: uint32;`
`elf_sec: elf_section_header_table_t;`
`mmap_length: uint32;`
`mmap_addr: uint32;`
`drives_legnth: uint32;`
`drives_addr: uint32;`
`config_table: uint32;`
`boot_loader_name: uint32;`
`apm_table: uint32;`
`vbe_control_info: uint32;`
`vbe_mode_info: uint32;`
`vbe_mode: uint16;`
`vbe_interface_seg: uint16;`
`vbe_interface_off: uint16;`
`vbe_interface_len: uint16;`
`framebuffer_addr: uint64;`
`framebuffer_pitch: uint32;`
`framebuffer_width: uint32;`
`framebuffer_height: uint32;`
`framebuffer_bpp: uint8;`

## Description

### Fields

`flags: uint32;`

`mem_lower: uint32;`

`mem_upper: uint32;`

`boot_device: uint32;`

`cmdline: uint32;`

`mods_count: uint32;`

`mods_addr: uint32;`

`elf_sec: elf_section_header_table_t;`

`mmap_length: uint32;`

`mmap_addr: uint32;`

`drives_legnth: uint32;`

`drives_addr: uint32;`

`config_table: uint32;`

`boot_loader_name: uint32;`

`apm_table: uint32;`

`vbe_control_info: uint32;`

`vbe_mode_info: uint32;`

`vbe_mode: uint16;`

`vbe_interface_seg: uint16;`

`vbe_interface_off: uint16;`

`vbe_interface_len: uint16;`

`framebuffer_addr: uint64;`

`framebuffer_pitch: uint32;`

`framebuffer_width: uint32;`

`framebuffer_height: uint32;`

`framebuffer_bpp: uint8;`

Generated by PasDoc 0.15.0.